Package org.kie.api.runtime

## Interface RequestContext

- All Superinterfaces:
    `Context`

      public interface RequestContext
      extends Context

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RequestContext` | `create()` |
    `static RequestContext` | `create​(ClassLoader classLoader)` |
    `Context` | `getApplicationContext()` |
    `Context` | `getConversationContext()` |
    `default <T> T` | `getOutput​(String identifier)` |
    `Map<String,​Object>` | `getOutputs()` |
    `Object` | `getResult()` |
    `default boolean` | `hasOutput​(String identifier)` |
    `void` | `removeOutput​(String identifier)` |
    `void` | `setOutput​(String identifier, Object value)` |
    `void` | `setResult​(Object result)` |
    `RequestContext` | `with​(KieBase kieBase)` |
    `RequestContext` | `with​(KieSession kieSession)` |

    - ### Methods inherited from interface org.kie.api.runtime.Context

      `get, getName, has, remove, set`

- - ### Method Detail

    - #### getResult

          Object getResult()

    - #### setResult

          void setResult​(Object result)

    - #### with

          RequestContext with​(KieBase kieBase)

    - #### with

          RequestContext with​(KieSession kieSession)

    - #### getConversationContext

          Context getConversationContext()

    - #### getApplicationContext

          Context getApplicationContext()

    - #### getOutputs

          Map<String,​Object> getOutputs()

    - #### setOutput

          void setOutput​(String identifier,
                         Object value)

    - #### removeOutput

          void removeOutput​(String identifier)

    - #### getOutput

          default <T> T getOutput​(String identifier)

    - #### hasOutput

          default boolean hasOutput​(String identifier)

    - #### create

          static RequestContext create()

    - #### create

          static RequestContext create​(ClassLoader classLoader)